Package com.databricks.jdbc.api.impl

## Class DatabricksResultSet

- java.lang.Object
- - com.databricks.jdbc.api.impl.DatabricksResultSet

All Implemented Interfaces:
  `IDatabricksResultSet`, `IDatabricksResultSetInternal`, `AutoCloseable`, `ResultSet`, `Wrapper`

    public class DatabricksResultSet
    extends Object
    implements IDatabricksResultSet, IDatabricksResultSetInternal

### Field Summary

Fields
`protected static String` `AFFECTED_ROWS_COUNT`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, List<ColumnMetadata> columnMetadataList, List<List<Object>> rows, StatementType statementType)`
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, int[] columnTypes, int[] columnTypePrecisions, int[] isNullables, Object[][] rows, StatementType statementType)`
`DatabricksResultSet​(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, List<Integer> columnTypes, List<Integer> columnTypePrecisions, List<Nullable> columnNullables, List<List<Object>> rows, StatementType statementType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute​(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `clearWarnings()`
`void` `close()`
`void` `deleteRow()`
`int` `findColumn​(String columnLabel)`
`boolean` `first()`
`Array` `getArray​(int columnIndex)`
`Array` `getArray​(String columnLabel)`
`InputStream` `getAsciiStream​(int columnIndex)`
`InputStream` `getAsciiStream​(String columnLabel)`
`BigDecimal` `getBigDecimal​(int columnIndex)`
`BigDecimal` `getBigDecimal​(int columnIndex, int scale)`
`BigDecimal` `getBigDecimal​(String columnLabel)`
`BigDecimal` `getBigDecimal​(String columnLabel, int scale)`
`InputStream` `getBinaryStream​(int columnIndex)`
`InputStream` `getBinaryStream​(String columnLabel)`
`Blob` `getBlob​(int columnIndex)`
`Blob` `getBlob​(String columnLabel)`
`boolean` `getBoolean​(int columnIndex)`
`boolean` `getBoolean​(String columnLabel)`
`byte` `getByte​(int columnIndex)`
`byte` `getByte​(String columnLabel)`
`byte[]` `getBytes​(int columnIndex)`
`byte[]` `getBytes​(String columnLabel)`
`Reader` `getCharacterStream​(int columnIndex)`
`Reader` `getCharacterStream​(String columnLabel)`
`Optional<ChunkProvider>` `getChunkProvider()`
`Clob` `getClob​(int columnIndex)`
`Clob` `getClob​(String columnLabel)`
`int` `getConcurrency()`
`String` `getCursorName()`
`Date` `getDate​(int columnIndex)`
`Date` `getDate​(int columnIndex, Calendar cal)`
`Date` `getDate​(String columnLabel)`
`Date` `getDate​(String columnLabel, Calendar cal)`
`double` `getDouble​(int columnIndex)`
`double` `getDouble​(String columnLabel)`
`IExecutionStatus` `getExecutionStatus()` Retrieves the current status of the statement associated with this result set.
`int` `getFetchDirection()`
`int` `getFetchSize()`
`float` `getFloat​(int columnIndex)`
`float` `getFloat​(String columnLabel)`
`int` `getHoldability()`
`int` `getInt​(int columnIndex)`
`int` `getInt​(String columnLabel)`
`long` `getLong​(int columnIndex)`
`long` `getLong​(String columnLabel)`
`Map` `getMap​(int columnIndex)` Retrieves the SQL `Map` from the specified column index in the result set.
`Map` `getMap​(String columnLabel)` Retrieves the SQL `Map` from the specified column using its label.
`ResultSetMetaData` `getMetaData()`
`Reader` `getNCharacterStream​(int columnIndex)`
`Reader` `getNCharacterStream​(String columnLabel)`
`NClob` `getNClob​(int columnIndex)`
`NClob` `getNClob​(String columnLabel)`
`String` `getNString​(int columnIndex)`
`String` `getNString​(String columnLabel)`
`Object` `getObject​(int columnIndex)`
`<T> T` `getObject​(int columnIndex, Class<T> type)`
`Object` `getObject​(int columnIndex, Map<String,​Class<?>> map)`
`Object` `getObject​(String columnLabel)`
`<T> T` `getObject​(String columnLabel, Class<T> type)`
`Object` `getObject​(String columnLabel, Map<String,​Class<?>> map)`
`Ref` `getRef​(int columnIndex)`
`Ref` `getRef​(String columnLabel)`
`int` `getRow()`
`RowId` `getRowId​(int columnIndex)`
`RowId` `getRowId​(String columnLabel)`
`short` `getShort​(int columnIndex)`
`short` `getShort​(String columnLabel)`
`SQLXML` `getSQLXML​(int columnIndex)`
`SQLXML` `getSQLXML​(String columnLabel)`
`Statement` `getStatement()`
`String` `getStatementId()` Retrieves the unique identifier of the statement associated with this result set.
`StatementStatus` `getStatementStatus()` Retrieves the current status of the statement associated with this result set.
`String` `getString​(int columnIndex)`
`String` `getString​(String columnLabel)`
`Struct` `getStruct​(int columnIndex)` Retrieves the SQL `Struct` from the specified column index in the result set.
`Struct` `getStruct​(String columnLabel)` Retrieves the SQL `Struct` from the specified column using its label.
`Time` `getTime​(int columnIndex)`
`Time` `getTime​(int columnIndex, Calendar cal)`
`Time` `getTime​(String columnLabel)`
`Time` `getTime​(String columnLabel, Calendar cal)`
`Timestamp` `getTimestamp​(int columnIndex)`
`Timestamp` `getTimestamp​(int columnIndex, Calendar cal)`
`Timestamp` `getTimestamp​(String columnLabel)`
`Timestamp` `getTimestamp​(String columnLabel, Calendar cal)`
`int` `getType()`
`InputStream` `getUnicodeStream​(int columnIndex)`
`InputStream` `getUnicodeStream​(String columnLabel)`
`long` `getUpdateCount()` Retrieves the number of rows affected by the SQL statement.
`URL` `getURL​(int columnIndex)`
`URL` `getURL​(String columnLabel)`
`org.apache.http.entity.InputStreamEntity` `getVolumeOperationInputStream()`
`SQLWarning` `getWarnings()`
`boolean` `hasUpdateCount()` Checks whether the executed SQL statement has produced an update count.
`void` `insertRow()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `isWrapperFor​(Class<?> iface)`
`boolean` `last()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()`
`boolean` `relative​(int rows)`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setFetchDirection​(int direction)`
`void` `setFetchSize​(int rows)`
`void` `setSilenceNonTerminalExceptions()`
`String` `toString()`
`void` `unsetSilenceNonTerminalExceptions()`
`<T> T` `unwrap​(Class<T> iface)`
`void` `updateArray​(int columnIndex, Array x)`
`void` `updateArray​(String columnLabel, Array x)`
`void` `updateAsciiStream​(int columnIndex, InputStream x)`
`void` `updateAsciiStream​(int columnIndex, InputStream x, int length)`
`void` `updateAsciiStream​(int columnIndex, InputStream x, long length)`
`void` `updateAsciiStream​(String columnLabel, InputStream x)`
`void` `updateAsciiStream​(String columnLabel, InputStream x, int length)`
`void` `updateAsciiStream​(String columnLabel, InputStream x, long length)`
`void` `updateBigDecimal​(int columnIndex, BigDecimal x)`
`void` `updateBigDecimal​(String columnLabel, BigDecimal x)`
`void` `updateBinaryStream​(int columnIndex, InputStream x)`
`void` `updateBinaryStream​(int columnIndex, InputStream x, int length)`
`void` `updateBinaryStream​(int columnIndex, InputStream x, long length)`
`void` `updateBinaryStream​(String columnLabel, InputStream x)`
`void` `updateBinaryStream​(String columnLabel, InputStream x, int length)`
`void` `updateBinaryStream​(String columnLabel, InputStream x, long length)`
`void` `updateBlob​(int columnIndex, InputStream inputStream)`
`void` `updateBlob​(int columnIndex, InputStream inputStream, long length)`
`void` `updateBlob​(int columnIndex, Blob x)`
`void` `updateBlob​(String columnLabel, InputStream inputStream)`
`void` `updateBlob​(String columnLabel, InputStream inputStream, long length)`
`void` `updateBlob​(String columnLabel, Blob x)`
`void` `updateBoolean​(int columnIndex, boolean x)`
`void` `updateBoolean​(String columnLabel, boolean x)`
`void` `updateByte​(int columnIndex, byte x)`
`void` `updateByte​(String columnLabel, byte x)`
`void` `updateBytes​(int columnIndex, byte[] x)`
`void` `updateBytes​(String columnLabel, byte[] x)`
`void` `updateCharacterStream​(int columnIndex, Reader x)`
`void` `updateCharacterStream​(int columnIndex, Reader x, int length)`
`void` `updateCharacterStream​(int columnIndex, Reader x, long length)`
`void` `updateCharacterStream​(String columnLabel, Reader reader)`
`void` `updateCharacterStream​(String columnLabel, Reader reader, int length)`
`void` `updateCharacterStream​(String columnLabel, Reader reader, long length)`
`void` `updateClob​(int columnIndex, Reader reader)`
`void` `updateClob​(int columnIndex, Reader reader, long length)`
`void` `updateClob​(int columnIndex, Clob x)`
`void` `updateClob​(String columnLabel, Reader reader)`
`void` `updateClob​(String columnLabel, Reader reader, long length)`
`void` `updateClob​(String columnLabel, Clob x)`
`void` `updateDate​(int columnIndex, Date x)`
`void` `updateDate​(String columnLabel, Date x)`
`void` `updateDouble​(int columnIndex, double x)`
`void` `updateDouble​(String columnLabel, double x)`
`void` `updateFloat​(int columnIndex, float x)`
`void` `updateFloat​(String columnLabel, float x)`
`void` `updateInt​(int columnIndex, int x)`
`void` `updateInt​(String columnLabel, int x)`
`void` `updateLong​(int columnIndex, long x)`
`void` `updateLong​(String columnLabel, long x)`
`void` `updateNCharacterStream​(int columnIndex, Reader x)`
`void` `updateNCharacterStream​(int columnIndex, Reader x, long length)`
`void` `updateNCharacterStream​(String columnLabel, Reader reader)`
`void` `updateNCharacterStream​(String columnLabel, Reader reader, long length)`
`void` `updateNClob​(int columnIndex, Reader reader)`
`void` `updateNClob​(int columnIndex, Reader reader, long length)`
`void` `updateNClob​(int columnIndex, NClob nClob)`
`void` `updateNClob​(String columnLabel, Reader reader)`
`void` `updateNClob​(String columnLabel, Reader reader, long length)`
`void` `updateNClob​(String columnLabel, NClob nClob)`
`void` `updateNString​(int columnIndex, String nString)`
`void` `updateNString​(String columnLabel, String nString)`
`void` `updateNull​(int columnIndex)`
`void` `updateNull​(String columnLabel)`
`void` `updateObject​(int columnIndex, Object x)`
`void` `updateObject​(int columnIndex, Object x, int scaleOrLength)`
`void` `updateObject​(int columnIndex, Object x, SQLType targetSqlType)`
`void` `updateObject​(int columnIndex, Object x, SQLType targetSqlType, int scaleOrLength)`
`void` `updateObject​(String columnLabel, Object x)`
`void` `updateObject​(String columnLabel, Object x, int scaleOrLength)`
`void` `updateObject​(String columnLabel, Object x, SQLType targetSqlType)`
`void` `updateObject​(String columnLabel, Object x, SQLType targetSqlType, int scaleOrLength)`
`void` `updateRef​(int columnIndex, Ref x)`
`void` `updateRef​(String columnLabel, Ref x)`
`void` `updateRow()`
`void` `updateRowId​(int columnIndex, RowId x)`
`void` `updateRowId​(String columnLabel, RowId x)`
`void` `updateShort​(int columnIndex, short x)`
`void` `updateShort​(String columnLabel, short x)`
`void` `updateSQLXML​(int columnIndex, SQLXML xmlObject)`
`void` `updateSQLXML​(String columnLabel, SQLXML xmlObject)`
`void` `updateString​(int columnIndex, String x)`
`void` `updateString​(String columnLabel, String x)`
`void` `updateTime​(int columnIndex, Time x)`
`void` `updateTime​(String columnLabel, Time x)`
`void` `updateTimestamp​(int columnIndex, Timestamp x)`
`void` `updateTimestamp​(String columnLabel, Timestamp x)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AFFECTED_ROWS_COUNT

    protected static final String AFFECTED_ROWS_COUNT

See Also:
  Constant Field Values

### Constructor Detail

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               ResultData resultData,
                               ResultManifest resultManifest,
                               StatementType statementType,
                               IDatabricksSession session,
                               IDatabricksStatementInternal parentStatement)
                        throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               StatementType statementType,
                               IDatabricksStatementInternal parentStatement,
                               IExecutionResult executionResult,
                               DatabricksResultSetMetaData resultSetMetaData,
                               boolean complexDatatypeSupport)

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               TFetchResultsResp resultsResp,
                               StatementType statementType,
                               IDatabricksStatementInternal parentStatement,
                               IDatabricksSession session)
                        throws SQLException

Throws:
  `SQLException`

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               List<String> columnNames,
                               List<String> columnTypeText,
                               int[] columnTypes,
                               int[] columnTypePrecisions,
                               int[] isNullables,
                               Object[][] rows,
                               StatementType statementType)

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               List<String> columnNames,
                               List<String> columnTypeText,
                               List<Integer> columnTypes,
                               List<Integer> columnTypePrecisions,
                               List<Nullable> columnNullables,
                               List<List<Object>> rows,
                               StatementType statementType)

#### DatabricksResultSet

    public DatabricksResultSet​(StatementStatus statementStatus,
                               StatementId statementId,
                               List<ColumnMetadata> columnMetadataList,
                               List<List<Object>> rows,
                               StatementType statementType)

### Method Detail

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws DatabricksSQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Throws:
  `DatabricksSQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString​(int columnIndex)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean​(int columnIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte​(int columnIndex)
                 throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort​(int columnIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt​(int columnIndex)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong​(int columnIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat​(int columnIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble​(int columnIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int columnIndex,
                                    int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes​(int columnIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate​(int columnIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime​(int columnIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(int columnIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(int columnIndex)
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(int columnIndex)
                                 throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream​(int columnIndex)
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getString

    public String getString​(String columnLabel)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean​(String columnLabel)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte​(String columnLabel)
                 throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort​(String columnLabel)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt​(String columnLabel)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong​(String columnLabel)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat​(String columnLabel)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble​(String columnLabel)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(String columnLabel,
                                    int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes​(String columnLabel)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate​(String columnLabel)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime​(String columnLabel)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(String columnLabel)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(String columnLabel)
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(String columnLabel)
                                 throws SQLException

Specified by:
  `getUnicodeStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream​(String columnLabel)
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Specified by:
  `getWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Specified by:
  `clearWarnings` in interface `ResultSet`
Throws:
  `SQLException`

#### getCursorName

    public String getCursorName()
                         throws SQLException

Specified by:
  `getCursorName` in interface `ResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(int columnIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(String columnLabel)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### findColumn

    public int findColumn​(String columnLabel)
                   throws SQLException

Specified by:
  `findColumn` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream​(int columnIndex)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream​(String columnLabel)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int columnIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(String columnLabel)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Limitation: For lazy-loaded result sets (`LazyThriftResult`), particularly those using `TSparkRowSetType.COLUMN_BASED_SET`, this method cannot reliably determine the cursor position. The total row count remains unknown until all rows are fetched, preventing accurate detection of whether the cursor is after the last row. This is specific to Databricks JDBC dialect.

Specified by:
  `isAfterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

This method uses different strategies based on the result set type:

- For `LazyThriftResult` instances: Checks if there are no more rows available (using `hasNext()`), since the total row count is unknown until all rows are fetched.
- For other result types: Compares the current row position against the known total row count.

Specified by:
  `isLast` in interface `ResultSet`
Returns:
  `true` if the cursor is on the last row, `false` otherwise
Throws:
  `SQLException` - if the result set is closed or an error occurs

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute​(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative​(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchDirection

    public void setFetchDirection​(int direction)
                           throws SQLException

Specified by:
  `setFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Specified by:
  `getFetchDirection` in interface `ResultSet`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize​(int rows)
                      throws SQLException

Specified by:
  `setFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws SQLException

Specified by:
  `getFetchSize` in interface `ResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Throws:
  `SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws SQLException

Specified by:
  `getConcurrency` in interface `ResultSet`
Throws:
  `SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

Specified by:
  `rowUpdated` in interface `ResultSet`
Throws:
  `SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws SQLException

Specified by:
  `rowInserted` in interface `ResultSet`
Throws:
  `SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

Specified by:
  `rowDeleted` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull​(int columnIndex)
                    throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(int columnIndex,
                              boolean x)
                       throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(int columnIndex,
                           byte x)
                    throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(int columnIndex,
                            short x)
                     throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(int columnIndex,
                          int x)
                   throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(int columnIndex,
                           long x)
                    throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(int columnIndex,
                            float x)
                     throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(int columnIndex,
                             double x)
                      throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(int columnIndex,
                                 BigDecimal x)
                          throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(int columnIndex,
                             String x)
                      throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(int columnIndex,
                            byte[] x)
                     throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(int columnIndex,
                           Date x)
                    throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(int columnIndex,
                           Time x)
                    throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(int columnIndex,
                                Timestamp x)
                         throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream x,
                                  int length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream x,
                                   int length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader x,
                                      int length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object x,
                             int scaleOrLength)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object x)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object x,
                             SQLType targetSqlType,
                             int scaleOrLength)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object x,
                             SQLType targetSqlType,
                             int scaleOrLength)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(int columnIndex,
                             Object x,
                             SQLType targetSqlType)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object x,
                             SQLType targetSqlType)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNull

    public void updateNull​(String columnLabel)
                    throws SQLException

Specified by:
  `updateNull` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBoolean

    public void updateBoolean​(String columnLabel,
                              boolean x)
                       throws SQLException

Specified by:
  `updateBoolean` in interface `ResultSet`
Throws:
  `SQLException`

#### updateByte

    public void updateByte​(String columnLabel,
                           byte x)
                    throws SQLException

Specified by:
  `updateByte` in interface `ResultSet`
Throws:
  `SQLException`

#### updateShort

    public void updateShort​(String columnLabel,
                            short x)
                     throws SQLException

Specified by:
  `updateShort` in interface `ResultSet`
Throws:
  `SQLException`

#### updateInt

    public void updateInt​(String columnLabel,
                          int x)
                   throws SQLException

Specified by:
  `updateInt` in interface `ResultSet`
Throws:
  `SQLException`

#### updateLong

    public void updateLong​(String columnLabel,
                           long x)
                    throws SQLException

Specified by:
  `updateLong` in interface `ResultSet`
Throws:
  `SQLException`

#### updateFloat

    public void updateFloat​(String columnLabel,
                            float x)
                     throws SQLException

Specified by:
  `updateFloat` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDouble

    public void updateDouble​(String columnLabel,
                             double x)
                      throws SQLException

Specified by:
  `updateDouble` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBigDecimal

    public void updateBigDecimal​(String columnLabel,
                                 BigDecimal x)
                          throws SQLException

Specified by:
  `updateBigDecimal` in interface `ResultSet`
Throws:
  `SQLException`

#### updateString

    public void updateString​(String columnLabel,
                             String x)
                      throws SQLException

Specified by:
  `updateString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBytes

    public void updateBytes​(String columnLabel,
                            byte[] x)
                     throws SQLException

Specified by:
  `updateBytes` in interface `ResultSet`
Throws:
  `SQLException`

#### updateDate

    public void updateDate​(String columnLabel,
                           Date x)
                    throws SQLException

Specified by:
  `updateDate` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTime

    public void updateTime​(String columnLabel,
                           Time x)
                    throws SQLException

Specified by:
  `updateTime` in interface `ResultSet`
Throws:
  `SQLException`

#### updateTimestamp

    public void updateTimestamp​(String columnLabel,
                                Timestamp x)
                         throws SQLException

Specified by:
  `updateTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream x,
                                  int length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream x,
                                   int length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader,
                                      int length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object x,
                             int scaleOrLength)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### updateObject

    public void updateObject​(String columnLabel,
                             Object x)
                      throws SQLException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLException`

#### insertRow

    public void insertRow()
                   throws SQLException

Specified by:
  `insertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRow

    public void updateRow()
                   throws SQLException

Specified by:
  `updateRow` in interface `ResultSet`
Throws:
  `SQLException`

#### deleteRow

    public void deleteRow()
                   throws SQLException

Specified by:
  `deleteRow` in interface `ResultSet`
Throws:
  `SQLException`

#### refreshRow

    public void refreshRow()
                    throws SQLException

Specified by:
  `refreshRow` in interface `ResultSet`
Throws:
  `SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

Specified by:
  `cancelRowUpdates` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

Specified by:
  `moveToInsertRow` in interface `ResultSet`
Throws:
  `SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

Specified by:
  `moveToCurrentRow` in interface `ResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Specified by:
  `getStatement` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(int columnIndex,
                            Map<String,​Class<?>> map)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef​(int columnIndex)
               throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(int columnIndex)
                 throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob​(int columnIndex)
                 throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray​(int columnIndex)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getStruct

    public Struct getStruct​(int columnIndex)
                     throws SQLException

Retrieves the SQL `Struct` from the specified column index in the result set.

Specified by:
  `getStruct` in interface `IDatabricksResultSet`
Parameters:
  `columnIndex` - the index of the column in the result set (1-based)
Returns:
  a `Struct` object if the column contains a struct; `null` if the value is SQL `NULL`
Throws:
  `SQLException` - if the column is not of `STRUCT` type or if any SQL error occurs

#### getMap

    public Map getMap​(int columnIndex)
               throws SQLException

Retrieves the SQL `Map` from the specified column index in the result set.

Specified by:
  `getMap` in interface `IDatabricksResultSet`
Parameters:
  `columnIndex` - the index of the column in the result set (1-based)
Returns:
  a `Map<String, Object>` if the column contains a map; `null` if the value is SQL `NULL`
Throws:
  `SQLException` - if the column is not of `MAP` type or if any SQL error occurs

#### getObject

    public Object getObject​(String columnLabel,
                            Map<String,​Class<?>> map)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getRef

    public Ref getRef​(String columnLabel)
               throws SQLException

Specified by:
  `getRef` in interface `ResultSet`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(String columnLabel)
                 throws SQLException

Specified by:
  `getBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### getClob

    public Clob getClob​(String columnLabel)
                 throws SQLException

Specified by:
  `getClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray​(String columnLabel)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getStruct

    public Struct getStruct​(String columnLabel)
                     throws SQLException

Description copied from interface: `IDatabricksResultSet`
Retrieves the SQL `Struct` from the specified column using its label.

Specified by:
  `getStruct` in interface `IDatabricksResultSet`
Parameters:
  `columnLabel` - the label for the column specified in the SQL query
Returns:
  a `Struct` object if the column contains a struct; `null` if the value is SQL `NULL`
Throws:
  `SQLException` - if the column is not of `STRUCT` type or if any SQL error occurs

#### getMap

    public Map getMap​(String columnLabel)
               throws SQLException

Description copied from interface: `IDatabricksResultSet`
Retrieves the SQL `Map` from the specified column using its label.

Specified by:
  `getMap` in interface `IDatabricksResultSet`
Parameters:
  `columnLabel` - the label for the column specified in the SQL query
Returns:
  a `Map<String, Object>` if the column contains a map; `null` if the value is SQL `NULL`
Throws:
  `SQLException` - if the column is not of `MAP` type or if any SQL error occurs

#### getDate

    public Date getDate​(int columnIndex,
                        Calendar cal)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate​(String columnLabel,
                        Calendar cal)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime​(int columnIndex,
                        Calendar cal)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime​(String columnLabel,
                        Calendar cal)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(int columnIndex,
                                  Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(String columnLabel,
                                  Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL​(int columnIndex)
               throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### getURL

    public URL getURL​(String columnLabel)
               throws SQLException

Specified by:
  `getURL` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(int columnIndex,
                          Ref x)
                   throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRef

    public void updateRef​(String columnLabel,
                          Ref x)
                   throws SQLException

Specified by:
  `updateRef` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           Blob x)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           Blob x)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Clob x)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Clob x)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(int columnIndex,
                            Array x)
                     throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### updateArray

    public void updateArray​(String columnLabel,
                            Array x)
                     throws SQLException

Specified by:
  `updateArray` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId​(int columnIndex)
                   throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getRowId

    public RowId getRowId​(String columnLabel)
                   throws SQLException

Specified by:
  `getRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(int columnIndex,
                            RowId x)
                     throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### updateRowId

    public void updateRowId​(String columnLabel,
                            RowId x)
                     throws SQLException

Specified by:
  `updateRowId` in interface `ResultSet`
Throws:
  `SQLException`

#### getHoldability

    public int getHoldability()
                       throws SQLException

Specified by:
  `getHoldability` in interface `ResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(int columnIndex,
                              String nString)
                       throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNString

    public void updateNString​(String columnLabel,
                              String nString)
                       throws SQLException

Specified by:
  `updateNString` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            NClob nClob)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            NClob nClob)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(int columnIndex)
                   throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(String columnLabel)
                   throws SQLException

Specified by:
  `getNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(int columnIndex)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(String columnLabel)
                     throws SQLException

Specified by:
  `getSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### updateSQLXML

    public void updateSQLXML​(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

Specified by:
  `updateSQLXML` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString​(int columnIndex)
                      throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString​(String columnLabel)
                      throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(int columnIndex)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(String columnLabel)
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader x,
                                       long length)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream x,
                                  long length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream x,
                                   long length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader x,
                                      long length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream x,
                                  long length)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream x,
                                   long length)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(int columnIndex,
                                       Reader x)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream​(String columnLabel,
                                       Reader reader)
                                throws SQLException

Specified by:
  `updateNCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(int columnIndex,
                                  InputStream x)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(int columnIndex,
                                   InputStream x)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(int columnIndex,
                                      Reader x)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateAsciiStream

    public void updateAsciiStream​(String columnLabel,
                                  InputStream x)
                           throws SQLException

Specified by:
  `updateAsciiStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBinaryStream

    public void updateBinaryStream​(String columnLabel,
                                   InputStream x)
                            throws SQLException

Specified by:
  `updateBinaryStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateCharacterStream

    public void updateCharacterStream​(String columnLabel,
                                      Reader reader)
                               throws SQLException

Specified by:
  `updateCharacterStream` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateBlob

    public void updateBlob​(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

Specified by:
  `updateBlob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(int columnIndex,
                           Reader reader)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateClob

    public void updateClob​(String columnLabel,
                           Reader reader)
                    throws SQLException

Specified by:
  `updateClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(int columnIndex,
                            Reader reader)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### updateNClob

    public void updateNClob​(String columnLabel,
                            Reader reader)
                     throws SQLException

Specified by:
  `updateNClob` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(int columnIndex,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(String columnLabel,
                           Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap​(Class<T> iface)
                 throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### getStatementId

    public String getStatementId()

Description copied from interface: `IDatabricksResultSet`
Retrieves the unique identifier of the statement associated with this result set.

Specified by:
  `getStatementId` in interface `IDatabricksResultSet`
Returns:
  A string representing the statement ID

#### getStatementStatus

    public StatementStatus getStatementStatus()

Description copied from interface: `IDatabricksResultSet`
Retrieves the current status of the statement associated with this result set. This can be used to monitor the execution progress and state of the statement.

Specified by:
  `getStatementStatus` in interface `IDatabricksResultSet`
Returns:
  The current `StatementStatus` of the statement

#### getExecutionStatus

    public IExecutionStatus getExecutionStatus()

Description copied from interface: `IDatabricksResultSet`
Retrieves the current status of the statement associated with this result set. This can be used to monitor the execution progress and state of the statement.

Specified by:
  `getExecutionStatus` in interface `IDatabricksResultSet`
Returns:
  The current `StatementStatus` of the statement

#### getUpdateCount

    public long getUpdateCount()
                        throws SQLException

Description copied from interface: `IDatabricksResultSet`
Retrieves the number of rows affected by the SQL statement. For SELECT statements or statements that don't modify data, this will return 0.

Specified by:
  `getUpdateCount` in interface `IDatabricksResultSet`
Returns:
  The number of rows affected by INSERT, UPDATE, or DELETE statements
Throws:
  `SQLException` - if a database access error occurs or this method is called on a closed result set

#### hasUpdateCount

    public boolean hasUpdateCount()
                           throws SQLException

Description copied from interface: `IDatabricksResultSet`
Checks whether the executed SQL statement has produced an update count. This is typically true for DML (Data Manipulation Language) statements like INSERT, UPDATE, or DELETE.

Specified by:
  `hasUpdateCount` in interface `IDatabricksResultSet`
Returns:
  true if the statement has produced an update count, false otherwise
Throws:
  `SQLException` - if a database access error occurs or this method is called on a closed result set

#### getVolumeOperationInputStream

    public org.apache.http.entity.InputStreamEntity getVolumeOperationInputStream()
                                                                           throws SQLException

Specified by:
  `getVolumeOperationInputStream` in interface `IDatabricksResultSetInternal`
Throws:
  `SQLException`

#### setSilenceNonTerminalExceptions

    public void setSilenceNonTerminalExceptions()

Specified by:
  `setSilenceNonTerminalExceptions` in interface `IDatabricksResultSetInternal`

#### unsetSilenceNonTerminalExceptions

    public void unsetSilenceNonTerminalExceptions()

Specified by:
  `unsetSilenceNonTerminalExceptions` in interface `IDatabricksResultSetInternal`

#### getChunkProvider

    public Optional<ChunkProvider> getChunkProvider()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`